#pragma once

#include <d3d9.h>
#include <d3dx9.h>
#include <vector>


namespace Engine
{

class C3DObject
{
public:
	C3DObject(char* pFilename, LPD3DXEFFECT pEffect);
	void Render(bool bShadowPass);


	void SetWorldMatrix(D3DXMATRIX matrix)
	{
		m_WorldMatrix=matrix;
	};

protected:
	ID3DXMesh*	m_pMesh;
	LPD3DXEFFECT m_pEffect;
	D3DXMATRIX m_WorldMatrix;
	std::vector<LPDIRECT3DTEXTURE9> m_pTextures;
};


}
